/** stylesheet used by the astronomy history part of the web application
 */

/** elements related to menu list   **/
div.fixed-width {
    width:200px;
}
/* from bootstrap example */
.dropdown-toggle { outline: 0; }

.nav-flush .nav-link {
    border-radius: 0;
}

.btn-toggle {
    display: inline-flex;
    align-items: center;
    padding: .25rem .5rem;
    font-weight: 600;
    color: rgba(0, 0, 0, .65);
    background-color: transparent;
    border: 0;
}
.btn-toggle:hover,
.btn-toggle:focus {
    color: rgba(0, 0, 0, .85);
    background-color: #d2f4ea;
}

.btn-toggle::before {
    width: 1.25em;
    line-height: 0;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
    transition: transform .35s ease;
    transform-origin: .5em 50%;
}

.btn-toggle[aria-expanded="true"] {
    color: rgba(0, 0, 0, .85);
}
.btn-toggle[aria-expanded="true"]::before {
    transform: rotate(90deg);
}

.btn-toggle-nav a {
    display: inline-flex;
    padding: .1875rem .5rem;
    margin-top: .125rem;
    margin-left: 1.25rem;
    text-decoration: none;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
    background-color: #d2f4ea;
}

.scrollarea {
    overflow-y: auto;
}

/* end bootstrap example */

/* Narrative and SVG elements */
div.astro-tools {
    height:50px;
    width:100%;
    padding:8px;
    margin-bottom:2px;
    background-color: #fcfcfc;
    text-align:center;
}
#errorPanel {
    background-color: white;
    color:red;
    font-weight:bold;
    padding:3px;
}
#noContent {
color:black;
    text-align:center;
    padding-top:10px;
    font-size:20px;
}

div.astro#narrativeContent {
    border-right: 1px solid grey;
    max-height:600px;
    overflow-y:scroll;
    color:black;
    font-size:medium;
}

/* this is the div into which SVG will be displayed */
#svg-content {
    height:500px;
    border-bottom: 1px solid black;
    overflow-x:scroll;
    overflow-y:scroll;

}

#svg-wrapper {
    width:100%;
    overflow-x:scroll;
    overflow-y:scroll;
    background-color:#f8f8f8;
}
div#introDiv {
    width:100%;
    height:500px;
    text-aling:center
}

p#introText{
    margin:50px;
    font: large;
}

div#curtain{
    width:1000px;
    height:1000px;
    background-color: blue;
    z-index:100;
}

#astro-toc {
    border-right:solid 1px grey;
}

/** used to set focus color without benefit of a mouse over **/
.landingFocus {
    background-color: #d2f4ea;
}
div#contentAndAd .container{
    grid-template-columns: 1fr 1fr 175px;
}

div#ad-wrapper {
    text-align:center;
    background-color:black;
    padding:2px;
    max-width: 175px;
}

div.toc {
    border-bottom:1px solid lightblue; padding:10px;
}

div.fig-column {
    min-width:400px;
}
div.toc.row img {
    border:2px solid black;
}


